Skip to main content
`Ctrl`+`K`

# DMSwarmCreateGlobalVectorFromField

Creates a `Vec` object sharing the array associated with a given field

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCreateGlobalVectorFromField(DM dm, const char fieldname[], Vec *vec)

Collective

## Input Parameters

- dm - a `DMSWARM`

- fieldname - the textual name given to a registered field

## Output Parameter

- vec - the vector

## Note

The vector must be returned using a matching call to `DMSwarmDestroyGlobalVectorFromField()`.

## See Also

`DM`, `DMSWARM`, `DMSwarmRegisterPetscDatatypeField()`, `DMSwarmDestroyGlobalVectorFromField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ts/tutorials/ex77.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/tutorials/swarm_ex1.c
src/dm/tutorials/swarm_ex2.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages